Bug 1119326 - LVM Cache - feature tracking bug
Summary: LVM Cache - feature tracking bug
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: lvm2
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jonathan Earl Brassow
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On: 1110041 1110965 1160044 1189111 727072 1080894 1086426 1086442 1091543 1091553 1095089 1102949 1103381 1104381 1104821 1105332 1105732 1107345 1109974 1110026 1111620 1111671 1111748 1124414 1133093 1133101 1135639 1143753 1148592 1152795 1152801 1160903 1165050 1168103 1171561 1171634 1182665 1185916
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-14 14:15 UTC by Jonathan Earl Brassow
Modified: 2015-02-04 13:30 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-28 21:31:27 UTC


Attachments (Terms of Use)

Description Jonathan Earl Brassow 2014-07-14 14:15:34 UTC
This is a tracking bug for required LVM Cache features

Comment 1 Jonathan Earl Brassow 2014-07-14 23:07:17 UTC
Features necessary to remove from tech preview and turn on by default upstream:
- ability to check and repair Cache LVs (i.e. their metadata LV)
- ability for cache to work on RAID LVs

Other features needed at some point:
- resize Cache data LV (w/o removing and recreating cache LV)
- resize Cache metadata LV (w/o removing and recreating cache LV)
- ability to change cache policy (w/o removing and recreating cache LV)
- ability to change cache mode (w/o removing and recreating cache LV)
- cache profiles

Comment 2 Alasdair Kergon 2014-07-14 23:10:22 UTC
The requirement for turning on upstream is a lot narrower: it is that all commands it is possible for a user to run EITHER function correctly OR give a controlled error.  There are bug reports indicating a user trying snapshots gets into a mess very easily.

Comment 3 Jonathan Earl Brassow 2014-07-14 23:38:50 UTC
I will split the top group from 'remove tech preview and turn on by default upstream' to 'remove from tech preview'  and 'turn on by default upstream'.

Comment 4 Jonathan Earl Brassow 2014-07-14 23:40:33 UTC
Requirements to turn on by default upstream:
- All commands must either function correctly or give a controlled error

Requirements to remove from tech preview in RHEL:
* on by default upstream
- ability to check and repair Cache LVs (i.e. their metadata LV)
- ability for cache to work on RAID LVs

Other features needed at some point:
- resize Cache data LV (w/o removing and recreating cache LV)
- resize Cache metadata LV (w/o removing and recreating cache LV)
- ability to change cache policy (w/o removing and recreating cache LV)
- ability to change cache mode (w/o removing and recreating cache LV)
- cache profiles

Comment 5 Jonathan Earl Brassow 2014-07-15 00:17:08 UTC
Need to check if the following bugs still exist upstream where they could cause a problem for RHEL7 like they have in rhel6:
- Bug 1107345:  Cache regression.
- Bug 1104381:  Cache regression.
- Bug 1110026:  Cache regression.

Comment 6 Jonathan Earl Brassow 2014-07-15 00:30:57 UTC
[other feature] Ability to create cache LV on top of a cache LV (bug 727072)

Comment 7 Jonathan Earl Brassow 2014-09-18 19:23:01 UTC
Support for LVM cache LVs will be offered in phases:
Phase 1 includes:
- Ability to create, remove, report on Cache LVs created on top of linear, stripe or RAID LVs.
- Cache LV components (data and metadata sub-LVs) can be linear, stripe or RAID.
- The user must be able to select the cache mode (either writeback or writethrough)
-- This does not mean they must be able to switch cachemode while the cache is in-use.

Phase 2 includes:
- Ability to take snapshots of cache LVs
- Ability to use cache LVs as thin sub-LVs

This bug tracks bugs associated with achieving phase 1:
Bug 1086426 [RHEL7] Problems attempting to remove cache pool before cache origin
Bug 1086442 [RHEL7] RFE: allow raid scrubbing on cache pool raid volumes
Bug 1124414 [RHEL7] LVM cache: dmeventd does not work on RAID volumes that are under cache
Bug 1135639 [F  20] lvconvert ignores '--cachemode writethrough' for cache pools
Bug 1110965 [RHEL7] need a more graceful way to fail when attempting to cache RO devices
Bug 1111671 [RHEL7] need a more graceful way to fail when attempting to remove cache pool during I/O
Bug 727072  [RHEL7] [FJ 7.1 feat] multilevel caching / tiering using SSDs
Bug 1091543 [RHEL7] bogus error when attempting to split images from raid1 cache origin volume
Bug 1091553 [RHEL7] "Internal error: Performing unsafe table load" error during snapshot of cache origin volume removal
Bug 1102949 [RHEL7] RFE: allow pvs in cache volumes to be vgsplit off
Bug 1104821 [RHEL7] Buffer I/O errors when configuring cache volumes
Bug 1105332 [RHEL7] need a more graceful error when lv is not a cache pool
Bug 1105732 [RHEL7] "Attempted to decrement suspended device counter below zero" when deactivating VG containing cache and snaps
Bug 1109974 [RHEL7] need a more graceful error when attempting to cache an origin that is already cached
Bug 1110041 [RHEL7] OOM issues when caching many volumes
Bug 1111748 [RHEL7] kernel BUG at drivers/md/persistent-data/dm-btree-spine.c when taking snapshot of a cached XFS

Comment 8 Jonathan Earl Brassow 2014-09-25 13:35:25 UTC
Bug 1110026 [RHEL6] LVM cache: Unable to lvcreate cache LV from existing origin LV
Bug 1107345 [RHEL6] LVM cache: Unable to remove cache-pool volume
Bug 1104381 [RHEL6] RAID cache: Removing cache logical volume prints stray error message

Comment 9 Jonathan Earl Brassow 2014-09-25 19:12:51 UTC
Bug 1143753 [RHEL7] LVM cache: 'lvs' is unable to print the cachemode

Comment 10 Jonathan Earl Brassow 2014-09-30 15:18:21 UTC
CHECKED:
Bug 1086426 [RHEL7] [POST]
Bug 1086442 [RHEL7] RFE: allow raid scrubbing on cache pool raid volumes
Bug 1124414 [RHEL7] LVM cache: dmeventd does not work on RAID volumes that are under cache
Bug 1135639 [F  20] [POST]
Bug 1110965 [RHEL7] need a more graceful way to fail when attempting to cache RO devices
Bug 1111671 [RHEL7] [POST]
Bug 727072  [RHEL7] ** REMOVING FROM LIST OF REQUIRED BUGS FOR NOW **
Bug 1091543 [RHEL7] bogus error when attempting to split images from raid1 cache origin volume
Bug 1091553 [RHEL7] [POST]
Bug 1102949 [RHEL7] RFE: allow pvs in cache volumes to be vgsplit off
Bug 1104821 [RHEL7] [MODIFIED]
Bug 1105332 [RHEL7] need a more graceful error when lv is not a cache pool
Bug 1105732 [RHEL7] [DUP OF 1091553]

UNCHECKED:
Bug 1109974 [RHEL7] need a more graceful error when attempting to cache an origin that is already cached
Bug 1110041 [RHEL7] OOM issues when caching many volumes
Bug 1111748 [RHEL7] kernel BUG at drivers/md/persistent-data/dm-btree-spine.c when taking snapshot of a cached XFS
Bug 1110026 [RHEL6] LVM cache: Unable to lvcreate cache LV from existing origin LV
Bug 1107345 [RHEL6] LVM cache: Unable to remove cache-pool volume
Bug 1104381 [RHEL6] RAID cache: Removing cache logical volume prints stray error
Bug 1143753 [RHEL7] LVM cache: 'lvs' is unable to print the cachemode

Comment 11 Jonathan Earl Brassow 2014-10-01 19:41:42 UTC
changing format of the bug list...

RESOLVED:
Bug 1086426 [RHEL7] Problems attempting to remove cache pool before cache origin
Bug 1135639 [F  20] lvconvert ignores '--cachemode writethrough' for cache pools
Bug 1111671 [RHEL7] need a more graceful way to fail when attempting to remove cache pool during I/O
Bug 1091553 [RHEL7] "Internal error: Performing unsafe table load" error during snapshot of cache origin volume removal
Bug 1104821 [RHEL7] Buffer I/O errors when configuring cache volumes
Bug 1105732 [RHEL7] "Attempted to decrement suspended device counter below zero" when deactivating VG containing cache and snaps
Bug 1107345 [RHEL6] LVM cache: Unable to remove cache-pool volume
Bug 1104381 [RHEL6] RAID cache: Removing cache logical volume prints stray error

UNRESOLVED:
Bug 1086442 [RHEL7] RFE: allow raid scrubbing on cache pool raid volumes
Bug 1124414 [RHEL7] LVM cache: dmeventd does not work on RAID volumes that are under cache
Bug 1091543 [RHEL7] bogus error when attempting to split images from raid1 cache origin volume
Bug 1102949 [RHEL7] RFE: allow pvs in cache volumes to be vgsplit off
Bug 1105332 [RHEL7] need a more graceful error when lv is not a cache pool
Bug 1109974 [RHEL7] need a more graceful error when attempting to cache an origin that is already cached
Bug 1111748 [RHEL7] kernel BUG at drivers/md/persistent-data/dm-btree-spine.c when taking snapshot of a cached XFS
Bug 1110026 [RHEL6] LVM cache: Unable to lvcreate cache LV from existing origin LV
Bug 1143753 [RHEL7] LVM cache: 'lvs' is unable to print the cachemode

UNSCHEDULED:
Bug 1110041 [RHEL7] OOM issues when caching many volumes
Bug 1110965 [RHEL7] need a more graceful way to fail when attempting to cache RO devices
Bug 727072  [RHEL7] [FJ 7.1 feat] multilevel caching / tiering using SSDs

Comment 12 Jonathan Earl Brassow 2014-10-01 19:55:50 UTC
RESOLVED:
Bug 1086426 [RHEL7] Problems attempting to remove cache pool before cache origin
Bug 1148592 [RHEL7] lvconvert ignores '--cachemode writethrough' for cache pools
Bug 1135639 [F  20] lvconvert ignores '--cachemode writethrough' for cache pools
Bug 1111671 [RHEL7] need a more graceful way to fail when attempting to remove cache pool during I/O
Bug 1091553 [RHEL7] "Internal error: Performing unsafe table load" error during snapshot of cache origin volume removal
Bug 1104821 [RHEL7] Buffer I/O errors when configuring cache volumes
Bug 1105732 [RHEL7] "Attempted to decrement suspended device counter below zero" when deactivating VG containing cache and snaps
Bug 1107345 [RHEL6] LVM cache: Unable to remove cache-pool volume
Bug 1104381 [RHEL6] RAID cache: Removing cache logical volume prints stray error

UNRESOLVED:
Bug 1086442 [RHEL7] RFE: allow raid scrubbing on cache pool raid volumes
Bug 1124414 [RHEL7] LVM cache: dmeventd does not work on RAID volumes that are under cache
Bug 1091543 [RHEL7] bogus error when attempting to split images from raid1 cache origin volume
Bug 1105332 [RHEL7] need a more graceful error when lv is not a cache pool
Bug 1109974 [RHEL7] need a more graceful error when attempting to cache an origin that is already cached
Bug 1111748 [RHEL7] kernel BUG at drivers/md/persistent-data/dm-btree-spine.c when taking snapshot of a cached XFS
Bug 1110026 [RHEL6] LVM cache: Unable to lvcreate cache LV from existing origin LV
Bug 1143753 [RHEL7] LVM cache: 'lvs' is unable to print the cachemode

UNSCHEDULED:
Bug 1110041 [RHEL7] OOM issues when caching many volumes
Bug 1110965 [RHEL7] need a more graceful way to fail when attempting to cache RO devices
Bug 1102949 [RHEL7] RFE: allow pvs in cache volumes to be vgsplit off
Bug 727072  [RHEL7] [FJ 7.1 feat] multilevel caching / tiering using SSDs

Comment 13 Jonathan Earl Brassow 2014-10-06 19:46:00 UTC
RESOLVED (12):
Bug 1086426 [RHEL7] Problems attempting to remove cache pool before cache origin
Bug 1148592 [RHEL7] lvconvert ignores '--cachemode writethrough' for cache pools
Bug 1135639 [F  20] lvconvert ignores '--cachemode writethrough' for cache pools
Bug 1111671 [RHEL7] need a more graceful way to fail when attempting to remove cache pool during I/O
Bug 1091553 [RHEL7] "Internal error: Performing unsafe table load" error during snapshot of cache origin volume removal
Bug 1104821 [RHEL7] Buffer I/O errors when configuring cache volumes
Bug 1105732 [RHEL7] "Attempted to decrement suspended device counter below zero" when deactivating VG containing cache and snaps
Bug 1107345 [RHEL6] LVM cache: Unable to remove cache-pool volume
Bug 1104381 [RHEL6] RAID cache: Removing cache logical volume prints stray error
Bug 1091543 [RHEL7] bogus error when attempting to split images from raid1 cache origin volume
Bug 1105332 [RHEL7] need a more graceful error when lv is not a cache pool
Bug 1143753 [RHEL7] LVM cache: 'lvs' is unable to print the cachemode

UNRESOLVED (10):
Bug 1086442 [RHEL7] RFE: allow raid scrubbing on cache pool raid volumes
Bug 1124414 [RHEL7] LVM cache: dmeventd does not work on RAID volumes that are under cache
Bug 1109974 [RHEL7] need a more graceful error when attempting to cache an origin that is already cached
Bug 1111748 [RHEL7] kernel BUG at drivers/md/persistent-data/dm-btree-spine.c when taking snapshot of a cached XFS
Bug 1110026 [RHEL6] LVM cache: Unable to lvcreate cache LV from existing origin LV
Bug 1080894 [RHEL7] dm-cache: crash on creating cache
Bug 1095089 [RHEL7] Create dm-cache device panic
Bug 1103381 [RHEL7] LVM cache: Not all sub-LVs renamed when caching a RAID LV
Bug 1111620 [RHEL7] dm-cache and lvm cache to Full Support
Bug 1133093 [RHEL6] no way to split off cache pool raid images

UNSCHEDULED:
Bug 1133101 [RHEL7] RFE: implement snapshots of cache lvs
Bug 1110041 [RHEL7] OOM issues when caching many volumes
Bug 1110965 [RHEL7] need a more graceful way to fail when attempting to cache RO devices
Bug 1102949 [RHEL7] RFE: allow pvs in cache volumes to be vgsplit off
Bug 727072  [RHEL7] [FJ 7.1 feat] multilevel caching / tiering using SSDs

Comment 14 Petr Rockai 2014-10-07 07:11:40 UTC
I have POSTed those 2:
Bug 1124414 [RHEL7] LVM cache: dmeventd does not work on RAID volumes that are under cache
Bug 1133093 [RHEL6] no way to split off cache pool raid images

I am also taking this one (similar to the 2 from above):
Bug 1086442 [RHEL7] RFE: allow raid scrubbing on cache pool raid volumes

while Jon has MODIFIED this one a while back:
Bug 1103381 [RHEL7] LVM cache: Not all sub-LVs renamed when caching a RAID LV

so the following still need resolving (6):
Bug 1109974 [RHEL7] need a more graceful error when attempting to cache an origin that is already cached
Bug 1111748 [RHEL7] kernel BUG at drivers/md/persistent-data/dm-btree-spine.c when taking snapshot of a cached XFS
Bug 1110026 [RHEL6] LVM cache: Unable to lvcreate cache LV from existing origin LV
Bug 1080894 [RHEL7] dm-cache: crash on creating cache
Bug 1095089 [RHEL7] Create dm-cache device panic
Bug 1111620 [RHEL7] dm-cache and lvm cache to Full Support

Comment 15 Jonathan Earl Brassow 2014-10-07 16:02:44 UTC
RESOLVED (15):
Bug 1086426 [RHEL7] Problems attempting to remove cache pool before cache origin
Bug 1148592 [RHEL7] lvconvert ignores '--cachemode writethrough' for cache pools
Bug 1135639 [F  20] lvconvert ignores '--cachemode writethrough' for cache pools
Bug 1111671 [RHEL7] need a more graceful way to fail when attempting to remove cache pool during I/O
Bug 1091553 [RHEL7] "Internal error: Performing unsafe table load" error during snapshot of cache origin volume removal
Bug 1104821 [RHEL7] Buffer I/O errors when configuring cache volumes
Bug 1105732 [RHEL7] "Attempted to decrement suspended device counter below zero" when deactivating VG containing cache and snaps
Bug 1107345 [RHEL6] LVM cache: Unable to remove cache-pool volume
Bug 1104381 [RHEL6] RAID cache: Removing cache logical volume prints stray error
Bug 1091543 [RHEL7] bogus error when attempting to split images from raid1 cache origin volume
Bug 1105332 [RHEL7] need a more graceful error when lv is not a cache pool
Bug 1143753 [RHEL7] LVM cache: 'lvs' is unable to print the cachemode
Bug 1124414 [RHEL7] LVM cache: dmeventd does not work on RAID volumes that are under cache
Bug 1103381 [RHEL7] LVM cache: Not all sub-LVs renamed when caching a RAID LV
Bug 1133093 [RHEL6] no way to split off cache pool raid images

UNRESOLVED (7):
Bug 1086442 [RHEL7] RFE: allow raid scrubbing on cache pool raid volumes
Bug 1109974 [RHEL7] need a more graceful error when attempting to cache an origin that is already cached
Bug 1111748 [RHEL7] kernel BUG at drivers/md/persistent-data/dm-btree-spine.c when taking snapshot of a cached XFS
Bug 1110026 [RHEL6] LVM cache: Unable to lvcreate cache LV from existing origin LV
Bug 1080894 [RHEL7] dm-cache: crash on creating cache
Bug 1095089 [RHEL7] Create dm-cache device panic
Bug 1111620 [RHEL7] dm-cache and lvm cache to Full Support

UNSCHEDULED:
Bug 1133101 [RHEL7] RFE: implement snapshots of cache lvs
Bug 1110041 [RHEL7] OOM issues when caching many volumes
Bug 1110965 [RHEL7] need a more graceful way to fail when attempting to cache RO devices
Bug 1102949 [RHEL7] RFE: allow pvs in cache volumes to be vgsplit off
Bug 727072  [RHEL7] [FJ 7.1 feat] multilevel caching / tiering using SSDs

Comment 16 Jonathan Earl Brassow 2014-10-15 01:19:33 UTC
RESOLVED (16):
Bug 1086426 [RHEL7] Problems attempting to remove cache pool before cache origin
Bug 1148592 [RHEL7] lvconvert ignores '--cachemode writethrough' for cache pools
Bug 1135639 [F  20] lvconvert ignores '--cachemode writethrough' for cache pools
Bug 1111671 [RHEL7] need a more graceful way to fail when attempting to remove cache pool during I/O
Bug 1091553 [RHEL7] "Internal error: Performing unsafe table load" error during snapshot of cache origin volume removal
Bug 1104821 [RHEL7] Buffer I/O errors when configuring cache volumes
Bug 1105732 [RHEL7] "Attempted to decrement suspended device counter below zero" when deactivating VG containing cache and snaps
Bug 1107345 [RHEL6] LVM cache: Unable to remove cache-pool volume
Bug 1104381 [RHEL6] RAID cache: Removing cache logical volume prints stray error
Bug 1091543 [RHEL7] bogus error when attempting to split images from raid1 cache origin volume
Bug 1105332 [RHEL7] need a more graceful error when lv is not a cache pool
Bug 1143753 [RHEL7] LVM cache: 'lvs' is unable to print the cachemode
Bug 1124414 [RHEL7] LVM cache: dmeventd does not work on RAID volumes that are under cache
Bug 1103381 [RHEL7] LVM cache: Not all sub-LVs renamed when caching a RAID LV
Bug 1133093 [RHEL6] no way to split off cache pool raid images
Bug 1086442 [RHEL7] RFE: allow raid scrubbing on cache pool raid volumes

UNRESOLVED (7):
Bug 1109974 [RHEL7] need a more graceful error when attempting to cache an origin that is already cached
Bug 1111748 [RHEL7] kernel BUG at drivers/md/persistent-data/dm-btree-spine.c when taking snapshot of a cached XFS
Bug 1110026 [RHEL6] LVM cache: Unable to lvcreate cache LV from existing origin LV
Bug 1080894 [RHEL7] dm-cache: crash on creating cache
Bug 1095089 [RHEL7] Create dm-cache device panic
Bug 1152795 [RHEL7] LVM cache: Add cache statistics to 'lvs'
Bug 1111620 [RHEL7] dm-cache and lvm cache to Full Support

UNSCHEDULED:
Bug 1133101 [RHEL7] RFE: implement snapshots of cache lvs
Bug 1110041 [RHEL7] OOM issues when caching many volumes
Bug 1110965 [RHEL7] need a more graceful way to fail when attempting to cache RO devices
Bug 1102949 [RHEL7] RFE: allow pvs in cache volumes to be vgsplit off
Bug 727072  [RHEL7] [FJ 7.1 feat] multilevel caching / tiering using SSDs

Comment 17 Jonathan Earl Brassow 2014-10-20 14:41:18 UTC
RESOLVED (16):
Bug 1086426 [RHEL7] Problems attempting to remove cache pool before cache origin
Bug 1148592 [RHEL7] lvconvert ignores '--cachemode writethrough' for cache pools
Bug 1135639 [F  20] lvconvert ignores '--cachemode writethrough' for cache pools
Bug 1111671 [RHEL7] need a more graceful way to fail when attempting to remove cache pool during I/O
Bug 1091553 [RHEL7] "Internal error: Performing unsafe table load" error during snapshot of cache origin volume removal
Bug 1104821 [RHEL7] Buffer I/O errors when configuring cache volumes
Bug 1105732 [RHEL7] "Attempted to decrement suspended device counter below zero" when deactivating VG containing cache and snaps
Bug 1107345 [RHEL6] LVM cache: Unable to remove cache-pool volume
Bug 1104381 [RHEL6] RAID cache: Removing cache logical volume prints stray error
Bug 1091543 [RHEL7] bogus error when attempting to split images from raid1 cache origin volume
Bug 1105332 [RHEL7] need a more graceful error when lv is not a cache pool
Bug 1143753 [RHEL7] LVM cache: 'lvs' is unable to print the cachemode
Bug 1124414 [RHEL7] LVM cache: dmeventd does not work on RAID volumes that are under cache
Bug 1103381 [RHEL7] LVM cache: Not all sub-LVs renamed when caching a RAID LV
Bug 1133093 [RHEL6] no way to split off cache pool raid images
Bug 1086442 [RHEL7] RFE: allow raid scrubbing on cache pool raid volumes

UNRESOLVED (7):
Bug 1109974 [RHEL7] need a more graceful error when attempting to cache an origin that is already cached
Bug 1111748 [RHEL7] kernel BUG at drivers/md/persistent-data/dm-btree-spine.c when taking snapshot of a cached XFS
Bug 1110026 [RHEL6] LVM cache: Unable to lvcreate cache LV from existing origin LV
Bug 1080894 [RHEL7] dm-cache: crash on creating cache
Bug 1095089 [RHEL7] Create dm-cache device panic
Bug 1152795 [RHEL7] LVM cache: Add cache statistics to 'lvs'
Bug 1111620 [RHEL7] dm-cache and lvm cache to Full Support

UNSCHEDULED:
Bug 1133101 [RHEL7] RFE: implement snapshots of cache lvs
Bug 1110041 [RHEL7] OOM issues when caching many volumes
Bug 1110965 [RHEL7] need a more graceful way to fail when attempting to cache RO devices
Bug 1102949 [RHEL7] RFE: allow pvs in cache volumes to be vgsplit off
Bug 727072  [RHEL7] [FJ 7.1 feat] multilevel caching / tiering using SSDs
Bug 1152801 [RHEL7] LVM cache: Add ability to specify and display cache policy

Comment 18 Jonathan Earl Brassow 2014-10-27 14:00:23 UTC
RESOLVED (17):
Bug 1086426 [RHEL7] Problems attempting to remove cache pool before cache origin
Bug 1148592 [RHEL7] lvconvert ignores '--cachemode writethrough' for cache pools
Bug 1135639 [F  20] lvconvert ignores '--cachemode writethrough' for cache pools
Bug 1111671 [RHEL7] need a more graceful way to fail when attempting to remove cache pool during I/O
Bug 1091553 [RHEL7] "Internal error: Performing unsafe table load" error during snapshot of cache origin volume removal
Bug 1104821 [RHEL7] Buffer I/O errors when configuring cache volumes
Bug 1105732 [RHEL7] "Attempted to decrement suspended device counter below zero" when deactivating VG containing cache and snaps
Bug 1107345 [RHEL6] LVM cache: Unable to remove cache-pool volume
Bug 1104381 [RHEL6] RAID cache: Removing cache logical volume prints stray error
Bug 1091543 [RHEL7] bogus error when attempting to split images from raid1 cache origin volume
Bug 1105332 [RHEL7] need a more graceful error when lv is not a cache pool
Bug 1143753 [RHEL7] LVM cache: 'lvs' is unable to print the cachemode
Bug 1124414 [RHEL7] LVM cache: dmeventd does not work on RAID volumes that are under cache
Bug 1103381 [RHEL7] LVM cache: Not all sub-LVs renamed when caching a RAID LV
Bug 1133093 [RHEL6] no way to split off cache pool raid images
Bug 1086442 [RHEL7] RFE: allow raid scrubbing on cache pool raid volumes
Bug 1111748 [RHEL7] kernel BUG at drivers/md/persistent-data/dm-btree-spine.c when taking snapshot of a cached XFS

UNRESOLVED (6):
Bug 1109974 [RHEL7] need a more graceful error when attempting to cache an origin that is already cached
Bug 1110026 [RHEL6] LVM cache: Unable to lvcreate cache LV from existing origin LV
Bug 1080894 [RHEL7] dm-cache: crash on creating cache
Bug 1095089 [RHEL7] Create dm-cache device panic
Bug 1152795 [RHEL7] LVM cache: Add cache statistics to 'lvs'
Bug 1111620 [RHEL7] dm-cache and lvm cache to Full Support

UNSCHEDULED:
Bug 1133101 [RHEL7] RFE: implement snapshots of cache lvs
Bug 1110041 [RHEL7] OOM issues when caching many volumes
Bug 1110965 [RHEL7] need a more graceful way to fail when attempting to cache RO devices
Bug 1102949 [RHEL7] RFE: allow pvs in cache volumes to be vgsplit off
Bug 727072  [RHEL7] [FJ 7.1 feat] multilevel caching / tiering using SSDs
Bug 1152801 [RHEL7] LVM cache: Add ability to specify and display cache policy

Comment 19 Jonathan Earl Brassow 2014-10-28 19:42:31 UTC
RESOLVED (18):
Bug 1086426 [RHEL7] Problems attempting to remove cache pool before cache origin
Bug 1148592 [RHEL7] lvconvert ignores '--cachemode writethrough' for cache pools
Bug 1135639 [F  20] lvconvert ignores '--cachemode writethrough' for cache pools
Bug 1111671 [RHEL7] need a more graceful way to fail when attempting to remove cache pool during I/O
Bug 1091553 [RHEL7] "Internal error: Performing unsafe table load" error during snapshot of cache origin volume removal
Bug 1104821 [RHEL7] Buffer I/O errors when configuring cache volumes
Bug 1105732 [RHEL7] "Attempted to decrement suspended device counter below zero" when deactivating VG containing cache and snaps
Bug 1107345 [RHEL6] LVM cache: Unable to remove cache-pool volume
Bug 1104381 [RHEL6] RAID cache: Removing cache logical volume prints stray error
Bug 1091543 [RHEL7] bogus error when attempting to split images from raid1 cache origin volume
Bug 1105332 [RHEL7] need a more graceful error when lv is not a cache pool
Bug 1143753 [RHEL7] LVM cache: 'lvs' is unable to print the cachemode
Bug 1124414 [RHEL7] LVM cache: dmeventd does not work on RAID volumes that are under cache
Bug 1103381 [RHEL7] LVM cache: Not all sub-LVs renamed when caching a RAID LV
Bug 1133093 [RHEL6] no way to split off cache pool raid images
Bug 1086442 [RHEL7] RFE: allow raid scrubbing on cache pool raid volumes
Bug 1111748 [RHEL7] kernel BUG at drivers/md/persistent-data/dm-btree-spine.c when taking snapshot of a cached XFS
Bug 1095089 [RHEL7] Create dm-cache device panic

UNRESOLVED (5):
Bug 1109974 [RHEL7] need a more graceful error when attempting to cache an origin that is already cached
Bug 1110026 [RHEL6] LVM cache: Unable to lvcreate cache LV from existing origin LV
Bug 1080894 [RHEL7] dm-cache: crash on creating cache
Bug 1152795 [RHEL7] LVM cache: Add cache statistics to 'lvs'
Bug 1111620 [RHEL7] dm-cache and lvm cache to Full Support

UNSCHEDULED:
Bug 1133101 [RHEL7] RFE: implement snapshots of cache lvs
Bug 1110041 [RHEL7] OOM issues when caching many volumes
Bug 1110965 [RHEL7] need a more graceful way to fail when attempting to cache RO devices
Bug 1102949 [RHEL7] RFE: allow pvs in cache volumes to be vgsplit off
Bug 727072  [RHEL7] [FJ 7.1 feat] multilevel caching / tiering using SSDs
Bug 1152801 [RHEL7] LVM cache: Add ability to specify and display cache policy

Comment 20 Jonathan Earl Brassow 2014-11-10 15:02:15 UTC
RESOLVED (18):
Bug 1086426 [RHEL7] Problems attempting to remove cache pool before cache origin
Bug 1148592 [RHEL7] lvconvert ignores '--cachemode writethrough' for cache pools
Bug 1135639 [F  20] lvconvert ignores '--cachemode writethrough' for cache pools
Bug 1111671 [RHEL7] need a more graceful way to fail when attempting to remove cache pool during I/O
Bug 1091553 [RHEL7] "Internal error: Performing unsafe table load" error during snapshot of cache origin volume removal
Bug 1104821 [RHEL7] Buffer I/O errors when configuring cache volumes
Bug 1105732 [RHEL7] "Attempted to decrement suspended device counter below zero" when deactivating VG containing cache and snaps
Bug 1107345 [RHEL6] LVM cache: Unable to remove cache-pool volume
Bug 1104381 [RHEL6] RAID cache: Removing cache logical volume prints stray error
Bug 1091543 [RHEL7] bogus error when attempting to split images from raid1 cache origin volume
Bug 1105332 [RHEL7] need a more graceful error when lv is not a cache pool
Bug 1143753 [RHEL7] LVM cache: 'lvs' is unable to print the cachemode
Bug 1124414 [RHEL7] LVM cache: dmeventd does not work on RAID volumes that are under cache
Bug 1103381 [RHEL7] LVM cache: Not all sub-LVs renamed when caching a RAID LV
Bug 1133093 [RHEL6] no way to split off cache pool raid images
Bug 1086442 [RHEL7] RFE: allow raid scrubbing on cache pool raid volumes
Bug 1111748 [RHEL7] kernel BUG at drivers/md/persistent-data/dm-btree-spine.c when taking snapshot of a cached XFS
Bug 1095089 [RHEL7] Create dm-cache device panic
Bug 1109974 [RHEL7] need a more graceful error when attempting to cache an origin that is already cached
Bug 1110026 [RHEL6] LVM cache: Unable to lvcreate cache LV from existing origin LV
Bug 1111620 [RHEL7] dm-cache and lvm cache to Full Support

UNRESOLVED (5):
Bug 1080894 [RHEL7] dm-cache: crash on creating cache
Bug 1152795 [RHEL7] LVM cache: Add cache statistics to 'lvs'
Bug 1160903 [rhel7] RAID cache: Removing cache logical volume prints stray error message

UNSCHEDULED:
Bug 1133101 [RHEL7] RFE: implement snapshots of cache lvs
Bug 1110041 [RHEL7] OOM issues when caching many volumes
Bug 1110965 [RHEL7] need a more graceful way to fail when attempting to cache RO devices
Bug 1102949 [RHEL7] RFE: allow pvs in cache volumes to be vgsplit off
Bug 727072  [RHEL7] [FJ 7.1 feat] multilevel caching / tiering using SSDs
Bug 1152801 [RHEL7] LVM cache: Add ability to specify and display cache policy
Bug 1160044 [RHEL7] LVM cache: Ability to resize origin and cache-pool

Comment 21 Jonathan Earl Brassow 2014-11-10 15:21:23 UTC
RESOLVED (18):
Bug 1086426 [RHEL7] Problems attempting to remove cache pool before cache origin
Bug 1148592 [RHEL7] lvconvert ignores '--cachemode writethrough' for cache pools
Bug 1135639 [F  20] lvconvert ignores '--cachemode writethrough' for cache pools
Bug 1111671 [RHEL7] need a more graceful way to fail when attempting to remove cache pool during I/O
Bug 1091553 [RHEL7] "Internal error: Performing unsafe table load" error during snapshot of cache origin volume removal
Bug 1104821 [RHEL7] Buffer I/O errors when configuring cache volumes
Bug 1105732 [RHEL7] "Attempted to decrement suspended device counter below zero" when deactivating VG containing cache and snaps
Bug 1107345 [RHEL6] LVM cache: Unable to remove cache-pool volume
Bug 1104381 [RHEL6] RAID cache: Removing cache logical volume prints stray error
Bug 1091543 [RHEL7] bogus error when attempting to split images from raid1 cache origin volume
Bug 1105332 [RHEL7] need a more graceful error when lv is not a cache pool
Bug 1143753 [RHEL7] LVM cache: 'lvs' is unable to print the cachemode
Bug 1124414 [RHEL7] LVM cache: dmeventd does not work on RAID volumes that are under cache
Bug 1103381 [RHEL7] LVM cache: Not all sub-LVs renamed when caching a RAID LV
Bug 1133093 [RHEL6] no way to split off cache pool raid images
Bug 1086442 [RHEL7] RFE: allow raid scrubbing on cache pool raid volumes
Bug 1111748 [RHEL7] kernel BUG at drivers/md/persistent-data/dm-btree-spine.c when taking snapshot of a cached XFS
Bug 1095089 [RHEL7] Create dm-cache device panic
Bug 1109974 [RHEL7] need a more graceful error when attempting to cache an origin that is already cached
Bug 1110026 [RHEL6] LVM cache: Unable to lvcreate cache LV from existing origin LV
Bug 1111620 [RHEL7] dm-cache and lvm cache to Full Support

UNRESOLVED (5):
Bug 1080894 [RHEL7] dm-cache: crash on creating cache
Bug 1152795 [RHEL7] LVM cache: Add cache statistics to 'lvs'
Bug 1160903 [rhel7] RAID cache: Removing cache logical volume prints stray error message
Bug 1152801 [RHEL7] LVM cache: Add ability to specify and display cache policy

UNSCHEDULED:
Bug 1133101 [RHEL7] RFE: implement snapshots of cache lvs
Bug 1110041 [RHEL7] OOM issues when caching many volumes
Bug 1110965 [RHEL7] need a more graceful way to fail when attempting to cache RO devices
Bug 1102949 [RHEL7] RFE: allow pvs in cache volumes to be vgsplit off
Bug 727072  [RHEL7] [FJ 7.1 feat] multilevel caching / tiering using SSDs
Bug 1160044 [RHEL7] LVM cache: Ability to resize origin and cache-pool

Comment 22 Jonathan Earl Brassow 2014-11-12 23:28:56 UTC
RESOLVED (23):
Bug 1086426 [RHEL7] Problems attempting to remove cache pool before cache origin
Bug 1148592 [RHEL7] lvconvert ignores '--cachemode writethrough' for cache pools
Bug 1135639 [F  20] lvconvert ignores '--cachemode writethrough' for cache pools
Bug 1111671 [RHEL7] need a more graceful way to fail when attempting to remove cache pool during I/O
Bug 1091553 [RHEL7] "Internal error: Performing unsafe table load" error during snapshot of cache origin volume removal
Bug 1104821 [RHEL7] Buffer I/O errors when configuring cache volumes
Bug 1105732 [RHEL7] "Attempted to decrement suspended device counter below zero" when deactivating VG containing cache and snaps
Bug 1107345 [RHEL6] LVM cache: Unable to remove cache-pool volume
Bug 1104381 [RHEL6] RAID cache: Removing cache logical volume prints stray error
Bug 1091543 [RHEL7] bogus error when attempting to split images from raid1 cache origin volume
Bug 1105332 [RHEL7] need a more graceful error when lv is not a cache pool
Bug 1143753 [RHEL7] LVM cache: 'lvs' is unable to print the cachemode
Bug 1124414 [RHEL7] LVM cache: dmeventd does not work on RAID volumes that are under cache
Bug 1103381 [RHEL7] LVM cache: Not all sub-LVs renamed when caching a RAID LV
Bug 1133093 [RHEL6] no way to split off cache pool raid images
Bug 1086442 [RHEL7] RFE: allow raid scrubbing on cache pool raid volumes
Bug 1111748 [RHEL7] kernel BUG at drivers/md/persistent-data/dm-btree-spine.c when taking snapshot of a cached XFS
Bug 1095089 [RHEL7] Create dm-cache device panic
Bug 1109974 [RHEL7] need a more graceful error when attempting to cache an origin that is already cached
Bug 1110026 [RHEL6] LVM cache: Unable to lvcreate cache LV from existing origin LV
Bug 1111620 [RHEL7] dm-cache and lvm cache to Full Support
Bug 1152795 [RHEL7] LVM cache: Add cache statistics to 'lvs'
Bug 1160903 [rhel7] RAID cache: Removing cache logical volume prints stray error message

UNRESOLVED (2):
Bug 1080894 [RHEL7] dm-cache: crash on creating cache
Bug 1152801 [RHEL7] LVM cache: Add ability to specify and display cache policy

UNSCHEDULED:
Bug 1133101 [RHEL7] RFE: implement snapshots of cache lvs
Bug 1110041 [RHEL7] OOM issues when caching many volumes
Bug 1110965 [RHEL7] need a more graceful way to fail when attempting to cache RO devices
Bug 1102949 [RHEL7] RFE: allow pvs in cache volumes to be vgsplit off
Bug 727072  [RHEL7] [FJ 7.1 feat] multilevel caching / tiering using SSDs
Bug 1160044 [RHEL7] LVM cache: Ability to resize origin and cache-pool

Comment 23 Jonathan Earl Brassow 2014-11-17 15:04:23 UTC
RESOLVED (24):
Bug 1086426 [RHEL7] Problems attempting to remove cache pool before cache origin
Bug 1148592 [RHEL7] lvconvert ignores '--cachemode writethrough' for cache pools
Bug 1135639 [F  20] lvconvert ignores '--cachemode writethrough' for cache pools
Bug 1111671 [RHEL7] need a more graceful way to fail when attempting to remove cache pool during I/O
Bug 1091553 [RHEL7] "Internal error: Performing unsafe table load" error during snapshot of cache origin volume removal
Bug 1104821 [RHEL7] Buffer I/O errors when configuring cache volumes
Bug 1105732 [RHEL7] "Attempted to decrement suspended device counter below zero" when deactivating VG containing cache and snaps
Bug 1107345 [RHEL6] LVM cache: Unable to remove cache-pool volume
Bug 1104381 [RHEL6] RAID cache: Removing cache logical volume prints stray error
Bug 1091543 [RHEL7] bogus error when attempting to split images from raid1 cache origin volume
Bug 1105332 [RHEL7] need a more graceful error when lv is not a cache pool
Bug 1143753 [RHEL7] LVM cache: 'lvs' is unable to print the cachemode
Bug 1124414 [RHEL7] LVM cache: dmeventd does not work on RAID volumes that are under cache
Bug 1103381 [RHEL7] LVM cache: Not all sub-LVs renamed when caching a RAID LV
Bug 1133093 [RHEL6] no way to split off cache pool raid images
Bug 1086442 [RHEL7] RFE: allow raid scrubbing on cache pool raid volumes
Bug 1111748 [RHEL7] kernel BUG at drivers/md/persistent-data/dm-btree-spine.c when taking snapshot of a cached XFS
Bug 1095089 [RHEL7] Create dm-cache device panic
Bug 1109974 [RHEL7] need a more graceful error when attempting to cache an origin that is already cached
Bug 1110026 [RHEL6] LVM cache: Unable to lvcreate cache LV from existing origin LV
Bug 1111620 [RHEL7] dm-cache and lvm cache to Full Support
Bug 1152795 [RHEL7] LVM cache: Add cache statistics to 'lvs'
Bug 1160903 [rhel7] RAID cache: Removing cache logical volume prints stray error message
Bug 1080894 [RHEL7] dm-cache: crash on creating cache

UNRESOLVED (1):
Bug 1152801 [RHEL7] LVM cache: Add ability to specify and display cache policy

UNSCHEDULED:
Bug 1133101 [RHEL7] RFE: implement snapshots of cache lvs
Bug 1110041 [RHEL7] OOM issues when caching many volumes
Bug 1110965 [RHEL7] need a more graceful way to fail when attempting to cache RO devices
Bug 1102949 [RHEL7] RFE: allow pvs in cache volumes to be vgsplit off
Bug 727072  [RHEL7] [FJ 7.1 feat] multilevel caching / tiering using SSDs
Bug 1160044 [RHEL7] LVM cache: Ability to resize origin and cache-pool

Comment 24 Jonathan Earl Brassow 2014-11-18 14:23:20 UTC
RESOLVED (24):
Bug 1086426 [RHEL7] Problems attempting to remove cache pool before cache origin
Bug 1148592 [RHEL7] lvconvert ignores '--cachemode writethrough' for cache pools
Bug 1135639 [F  20] lvconvert ignores '--cachemode writethrough' for cache pools
Bug 1111671 [RHEL7] need a more graceful way to fail when attempting to remove cache pool during I/O
Bug 1091553 [RHEL7] "Internal error: Performing unsafe table load" error during snapshot of cache origin volume removal
Bug 1104821 [RHEL7] Buffer I/O errors when configuring cache volumes
Bug 1105732 [RHEL7] "Attempted to decrement suspended device counter below zero" when deactivating VG containing cache and snaps
Bug 1107345 [RHEL6] LVM cache: Unable to remove cache-pool volume
Bug 1104381 [RHEL6] RAID cache: Removing cache logical volume prints stray error
Bug 1091543 [RHEL7] bogus error when attempting to split images from raid1 cache origin volume
Bug 1105332 [RHEL7] need a more graceful error when lv is not a cache pool
Bug 1143753 [RHEL7] LVM cache: 'lvs' is unable to print the cachemode
Bug 1124414 [RHEL7] LVM cache: dmeventd does not work on RAID volumes that are under cache
Bug 1103381 [RHEL7] LVM cache: Not all sub-LVs renamed when caching a RAID LV
Bug 1133093 [RHEL6] no way to split off cache pool raid images
Bug 1086442 [RHEL7] RFE: allow raid scrubbing on cache pool raid volumes
Bug 1111748 [RHEL7] kernel BUG at drivers/md/persistent-data/dm-btree-spine.c when taking snapshot of a cached XFS
Bug 1095089 [RHEL7] Create dm-cache device panic
Bug 1109974 [RHEL7] need a more graceful error when attempting to cache an origin that is already cached
Bug 1110026 [RHEL6] LVM cache: Unable to lvcreate cache LV from existing origin LV
Bug 1111620 [RHEL7] dm-cache and lvm cache to Full Support
Bug 1152795 [RHEL7] LVM cache: Add cache statistics to 'lvs'
Bug 1160903 [rhel7] RAID cache: Removing cache logical volume prints stray error message
Bug 1080894 [RHEL7] dm-cache: crash on creating cache

UNRESOLVED (2):
Bug 1152801 [RHEL7] LVM cache: Add ability to specify and display cache policy
Bug 1165050 [rhel7] [NetApp 7.0 Bug] kernel crash hit at clear_discard with Intel SSD 910


UNSCHEDULED:
Bug 1133101 [RHEL7] RFE: implement snapshots of cache lvs
Bug 1110041 [RHEL7] OOM issues when caching many volumes
Bug 1110965 [RHEL7] need a more graceful way to fail when attempting to cache RO devices
Bug 1102949 [RHEL7] RFE: allow pvs in cache volumes to be vgsplit off
Bug 727072  [RHEL7] [FJ 7.1 feat] multilevel caching / tiering using SSDs
Bug 1160044 [RHEL7] LVM cache: Ability to resize origin and cache-pool

Comment 25 Jonathan Earl Brassow 2014-12-03 14:43:52 UTC
RESOLVED (25):
Bug 1086426 [RHEL7] Problems attempting to remove cache pool before cache origin
Bug 1148592 [RHEL7] lvconvert ignores '--cachemode writethrough' for cache pools
Bug 1135639 [F  20] lvconvert ignores '--cachemode writethrough' for cache pools
Bug 1111671 [RHEL7] need a more graceful way to fail when attempting to remove cache pool during I/O
Bug 1091553 [RHEL7] "Internal error: Performing unsafe table load" error during snapshot of cache origin volume removal
Bug 1104821 [RHEL7] Buffer I/O errors when configuring cache volumes
Bug 1105732 [RHEL7] "Attempted to decrement suspended device counter below zero" when deactivating VG containing cache and snaps
Bug 1107345 [RHEL6] LVM cache: Unable to remove cache-pool volume
Bug 1104381 [RHEL6] RAID cache: Removing cache logical volume prints stray error
Bug 1091543 [RHEL7] bogus error when attempting to split images from raid1 cache origin volume
Bug 1105332 [RHEL7] need a more graceful error when lv is not a cache pool
Bug 1143753 [RHEL7] LVM cache: 'lvs' is unable to print the cachemode
Bug 1124414 [RHEL7] LVM cache: dmeventd does not work on RAID volumes that are under cache
Bug 1103381 [RHEL7] LVM cache: Not all sub-LVs renamed when caching a RAID LV
Bug 1133093 [RHEL6] no way to split off cache pool raid images
Bug 1086442 [RHEL7] RFE: allow raid scrubbing on cache pool raid volumes
Bug 1111748 [RHEL7] kernel BUG at drivers/md/persistent-data/dm-btree-spine.c when taking snapshot of a cached XFS
Bug 1095089 [RHEL7] Create dm-cache device panic
Bug 1109974 [RHEL7] need a more graceful error when attempting to cache an origin that is already cached
Bug 1110026 [RHEL6] LVM cache: Unable to lvcreate cache LV from existing origin LV
Bug 1111620 [RHEL7] dm-cache and lvm cache to Full Support
Bug 1152795 [RHEL7] LVM cache: Add cache statistics to 'lvs'
Bug 1160903 [rhel7] RAID cache: Removing cache logical volume prints stray error message
Bug 1080894 [RHEL7] dm-cache: crash on creating cache
Bug 1165050 [rhel7] [NetApp 7.0 Bug] kernel crash hit at clear_discard with Intel SSD 910

UNRESOLVED (2):
Bug 1152801 [RHEL7] LVM cache: Add ability to specify and display cache policy
Bug 1168103 [RHEL7] [NetApp 7.1 Bug] "dmsetup wait cache" waits for ever with cleaner policy

UNSCHEDULED:
Bug 1133101 [RHEL7] RFE: implement snapshots of cache lvs
Bug 1110041 [RHEL7] OOM issues when caching many volumes
Bug 1110965 [RHEL7] need a more graceful way to fail when attempting to cache RO devices
Bug 1102949 [RHEL7] RFE: allow pvs in cache volumes to be vgsplit off
Bug 727072  [RHEL7] [FJ 7.1 feat] multilevel caching / tiering using SSDs
Bug 1160044 [RHEL7] LVM cache: Ability to resize origin and cache-pool

Comment 26 Jonathan Earl Brassow 2015-01-19 14:40:53 UTC
This one recently popped-up in testing:
https://bugzilla.redhat.com/show_bug.cgi?id=1182665

Comment 27 Jonathan Earl Brassow 2015-01-19 14:44:45 UTC
RESOLVED (26):
Bug 1086426 [RHEL7] Problems attempting to remove cache pool before cache origin
Bug 1148592 [RHEL7] lvconvert ignores '--cachemode writethrough' for cache pools
Bug 1135639 [F  20] lvconvert ignores '--cachemode writethrough' for cache pools
Bug 1111671 [RHEL7] need a more graceful way to fail when attempting to remove cache pool during I/O
Bug 1091553 [RHEL7] "Internal error: Performing unsafe table load" error during snapshot of cache origin volume removal
Bug 1104821 [RHEL7] Buffer I/O errors when configuring cache volumes
Bug 1105732 [RHEL7] "Attempted to decrement suspended device counter below zero" when deactivating VG containing cache and snaps
Bug 1107345 [RHEL6] LVM cache: Unable to remove cache-pool volume
Bug 1104381 [RHEL6] RAID cache: Removing cache logical volume prints stray error
Bug 1091543 [RHEL7] bogus error when attempting to split images from raid1 cache origin volume
Bug 1105332 [RHEL7] need a more graceful error when lv is not a cache pool
Bug 1143753 [RHEL7] LVM cache: 'lvs' is unable to print the cachemode
Bug 1124414 [RHEL7] LVM cache: dmeventd does not work on RAID volumes that are under cache
Bug 1103381 [RHEL7] LVM cache: Not all sub-LVs renamed when caching a RAID LV
Bug 1133093 [RHEL6] no way to split off cache pool raid images
Bug 1086442 [RHEL7] RFE: allow raid scrubbing on cache pool raid volumes
Bug 1111748 [RHEL7] kernel BUG at drivers/md/persistent-data/dm-btree-spine.c when taking snapshot of a cached XFS
Bug 1095089 [RHEL7] Create dm-cache device panic
Bug 1109974 [RHEL7] need a more graceful error when attempting to cache an origin that is already cached
Bug 1110026 [RHEL6] LVM cache: Unable to lvcreate cache LV from existing origin LV
Bug 1111620 [RHEL7] dm-cache and lvm cache to Full Support
Bug 1152795 [RHEL7] LVM cache: Add cache statistics to 'lvs'
Bug 1160903 [rhel7] RAID cache: Removing cache logical volume prints stray error message
Bug 1080894 [RHEL7] dm-cache: crash on creating cache
Bug 1165050 [rhel7] [NetApp 7.0 Bug] kernel crash hit at clear_discard with Intel SSD 910
Bug 1152801 [RHEL7] LVM cache: Add ability to specify and display cache policy

UNRESOLVED (1):
Bug 1182665 [RHEL7] Kernel panic when RAID cache origin device is killed

UNSCHEDULED:
Bug 1133101 [RHEL7] RFE: implement snapshots of cache lvs
Bug 1110041 [RHEL7] OOM issues when caching many volumes
Bug 1110965 [RHEL7] need a more graceful way to fail when attempting to cache RO devices
Bug 1102949 [RHEL7] RFE: allow pvs in cache volumes to be vgsplit off
Bug 727072  [RHEL7] [FJ 7.1 feat] multilevel caching / tiering using SSDs
Bug 1160044 [RHEL7] LVM cache: Ability to resize origin and cache-pool

Comment 28 Jonathan Earl Brassow 2015-01-19 15:01:09 UTC
RESOLVED (25):
Bug 1086426 [RHEL7] Problems attempting to remove cache pool before cache origin
Bug 1148592 [RHEL7] lvconvert ignores '--cachemode writethrough' for cache pools
Bug 1135639 [F  20] lvconvert ignores '--cachemode writethrough' for cache pools
Bug 1111671 [RHEL7] need a more graceful way to fail when attempting to remove cache pool during I/O
Bug 1091553 [RHEL7] "Internal error: Performing unsafe table load" error during snapshot of cache origin volume removal
Bug 1104821 [RHEL7] Buffer I/O errors when configuring cache volumes
Bug 1107345 [RHEL6] LVM cache: Unable to remove cache-pool volume
Bug 1104381 [RHEL6] RAID cache: Removing cache logical volume prints stray error
Bug 1091543 [RHEL7] bogus error when attempting to split images from raid1 cache origin volume
Bug 1105332 [RHEL7] need a more graceful error when lv is not a cache pool
Bug 1143753 [RHEL7] LVM cache: 'lvs' is unable to print the cachemode
Bug 1124414 [RHEL7] LVM cache: dmeventd does not work on RAID volumes that are under cache
Bug 1103381 [RHEL7] LVM cache: Not all sub-LVs renamed when caching a RAID LV
Bug 1133093 [RHEL6] no way to split off cache pool raid images
Bug 1086442 [RHEL7] RFE: allow raid scrubbing on cache pool raid volumes
Bug 1111748 [RHEL7] kernel BUG at drivers/md/persistent-data/dm-btree-spine.c when taking snapshot of a cached XFS
Bug 1095089 [RHEL7] Create dm-cache device panic
Bug 1109974 [RHEL7] need a more graceful error when attempting to cache an origin that is already cached
Bug 1110026 [RHEL6] LVM cache: Unable to lvcreate cache LV from existing origin LV
Bug 1111620 [RHEL7] dm-cache and lvm cache to Full Support
Bug 1152795 [RHEL7] LVM cache: Add cache statistics to 'lvs'
Bug 1160903 [rhel7] RAID cache: Removing cache logical volume prints stray error message
Bug 1080894 [RHEL7] dm-cache: crash on creating cache
Bug 1165050 [rhel7] [NetApp 7.0 Bug] kernel crash hit at clear_discard with Intel SSD 910
Bug 1152801 [RHEL7] LVM cache: Add ability to specify and display cache policy

UNRESOLVED (2):
Bug 1105732 [RHEL7] "Attempted to decrement suspended device counter below zero" when deactivating VG containing cache and snaps
Bug 1182665 [RHEL7] Kernel panic when RAID cache origin device is killed

UNSCHEDULED:
Bug 1133101 [RHEL7] RFE: implement snapshots of cache lvs
Bug 1110041 [RHEL7] OOM issues when caching many volumes
Bug 1110965 [RHEL7] need a more graceful way to fail when attempting to cache RO devices
Bug 1102949 [RHEL7] RFE: allow pvs in cache volumes to be vgsplit off
Bug 727072  [RHEL7] [FJ 7.1 feat] multilevel caching / tiering using SSDs
Bug 1160044 [RHEL7] LVM cache: Ability to resize origin and cache-pool

Comment 29 Jonathan Earl Brassow 2015-01-28 21:21:07 UTC
RESOLVED (27):
Bug 1086426 [RHEL7] Problems attempting to remove cache pool before cache origin
Bug 1148592 [RHEL7] lvconvert ignores '--cachemode writethrough' for cache pools
Bug 1135639 [F  20] lvconvert ignores '--cachemode writethrough' for cache pools
Bug 1111671 [RHEL7] need a more graceful way to fail when attempting to remove cache pool during I/O
Bug 1091553 [RHEL7] "Internal error: Performing unsafe table load" error during snapshot of cache origin volume removal
Bug 1104821 [RHEL7] Buffer I/O errors when configuring cache volumes
Bug 1107345 [RHEL6] LVM cache: Unable to remove cache-pool volume
Bug 1104381 [RHEL6] RAID cache: Removing cache logical volume prints stray error
Bug 1091543 [RHEL7] bogus error when attempting to split images from raid1 cache origin volume
Bug 1105332 [RHEL7] need a more graceful error when lv is not a cache pool
Bug 1143753 [RHEL7] LVM cache: 'lvs' is unable to print the cachemode
Bug 1124414 [RHEL7] LVM cache: dmeventd does not work on RAID volumes that are under cache
Bug 1103381 [RHEL7] LVM cache: Not all sub-LVs renamed when caching a RAID LV
Bug 1133093 [RHEL6] no way to split off cache pool raid images
Bug 1086442 [RHEL7] RFE: allow raid scrubbing on cache pool raid volumes
Bug 1111748 [RHEL7] kernel BUG at drivers/md/persistent-data/dm-btree-spine.c when taking snapshot of a cached XFS
Bug 1095089 [RHEL7] Create dm-cache device panic
Bug 1109974 [RHEL7] need a more graceful error when attempting to cache an origin that is already cached
Bug 1110026 [RHEL6] LVM cache: Unable to lvcreate cache LV from existing origin LV
Bug 1111620 [RHEL7] dm-cache and lvm cache to Full Support
Bug 1152795 [RHEL7] LVM cache: Add cache statistics to 'lvs'
Bug 1160903 [rhel7] RAID cache: Removing cache logical volume prints stray error message
Bug 1080894 [RHEL7] dm-cache: crash on creating cache
Bug 1165050 [rhel7] [NetApp 7.0 Bug] kernel crash hit at clear_discard with Intel SSD 910
Bug 1152801 [RHEL7] LVM cache: Add ability to specify and display cache policy
Bug 1105732 [RHEL7] "Attempted to decrement suspended device counter below zero" when deactivating VG containing cache and snaps
Bug 1182665 [RHEL7] Kernel panic when RAID cache origin device is killed

UNRESOLVED (0):

UNSCHEDULED:
Bug 1185916 [RHEL7] "Attempted to decrement suspended device counter below zero" when deactivating VG containing cache volumes
Bug 1133101 [RHEL7] RFE: implement snapshots of cache lvs
Bug 1110041 [RHEL7] OOM issues when caching many volumes
Bug 1110965 [RHEL7] need a more graceful way to fail when attempting to cache RO devices
Bug 1102949 [RHEL7] RFE: allow pvs in cache volumes to be vgsplit off
Bug 727072  [RHEL7] [FJ 7.1 feat] multilevel caching / tiering using SSDs
Bug 1160044 [RHEL7] LVM cache: Ability to resize origin and cache-pool

Comment 30 Jonathan Earl Brassow 2015-01-28 21:28:56 UTC
This concludes development and tracking for rhel7.1.

Refer to bug 1186924 for RHEL 7.2 Cache feature/bug tracking.


Note You need to log in before you can comment on or make changes to this bug.